Name: gnutls
Version: 1.0.10
Release: alt1

%def_disable static
%def_with libtasn1

Summary: Transport Layer Security library
Group: System/Libraries
License: LGPL
Url: http://www.gnu.org/software/%name/

%define pkgdocdir %_docdir/%name-%version

%define req_gcrypt_ver 1.1.94
%define req_opencdk_ver 0.5.3
%define req_tasn1_ver 0.2.0

Source: %name-%version.tar.bz2
Patch0: %name-1.0.8-openssl-build.patch

BuildRequires: libgcrypt-devel >= %req_gcrypt_ver
BuildRequires: libopencdk-devel >= %req_opencdk_ver
%if_with libtasn1
BuildRequires: libtasn1-devel >= %req_tasn1_ver
%endif
BuildRequires: libgpg-error-devel liblzo-devel zlib-devel

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer. Currently the GnuTLS
library implements the proposed standards by the IETF TLS working
group.

%package -n lib%name
Summary: Transport Layer Security library
Group: System/Libraries
Requires: libgcrypt >= %req_gcrypt_ver
%if_with libtasn1
Requires: libtasn1 >= %req_tasn1_ver
%endif

%description -n lib%name
A library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards
by the IETF TLS working group.

%package -n lib%name-extra
Summary: Transport Layer Security library, extra functions
Group: System/Libraries
License: GPL
Requires: lib%name = %version-%release
Requires: libopencdk >= %req_opencdk_ver

%description -n lib%name-extra
The %name-extra library provides extra functions to the %name library.
This portion of the library is covered by the GNU General Public License.

%package -n lib%name-openssl
Summary: OpenSSL compatibility layer for the GnuTLS library
Group: System/Libraries
License: GPL
Requires: lib%name = %version-%release

%description -n lib%name-openssl
The %name-openssl library provides an OpenSSL compatibility layer to the
%name library, to ease migration from the OpenSSL library.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release
Requires: libgcrypt-devel >= %req_gcrypt_ver

%description -n lib%name-devel
Header and other files to build applications using %name,
a Transport Layer Security (TLS) library.

%package -n lib%name-extra-devel
Summary: Development files for lib%name-extra
Group: Development/C
License: GPL
Requires: lib%name-extra = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-extra-devel
Header and other files to build applications using the %name-extra library.

%package -n lib%name-openssl-devel
Summary: Development files for lib%name-openssl
Group: Development/C
License: GPL
Requires: lib%name-openssl = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-openssl-devel
Header and other files to build applications using the %name-openssl library.

%package -n lib%name-devel-static
Summary: Static build for lib%name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static build of %name, a Transport Layer Security (TLS) library.

%package -n lib%name-extra-devel-static
Summary: Static build for lib%name-extra
Group: Development/C
License: GPL
Requires: lib%name-extra-devel = %version-%release

%description -n lib%name-extra-devel-static
Static build of the %name-extra library.

%package -n lib%name-openssl-devel-static
Summary: Static build for lib%name-openssl
Group: Development/C
License: GPL
Requires: lib%name-openssl-devel = %version-%release

%description -n lib%name-openssl-devel-static
Static build of the %name-openssl library.

%package utils
Summary: Utilities for GnuTLS
Group: Security/Networking
License: GPL
Requires: lib%name = %version-%release
Requires: lib%name-extra = %version-%release

%description utils
Utilities coming with the GnuTLS project.

%prep
%setup -q
%patch0 -p1

%__bzip2 -9k ChangeLog

%build
%__subst '/include.*\.m4/d' acinclude.m4
autoreconf -isfv
%configure \
%if_without libtasn1
	--with-included-libtasn1 \
%endif
	%{subst_enable static}
%make_build

%install
%makeinstall

for f in $RPM_BUILD_ROOT%_includedir/gnutls/*.h; do
    echo "${f#$RPM_BUILD_ROOT}"
done | grep -Ev '(extra|openssl)\.h$' >headers.list

install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
install -p -m644 AUTHORS ChangeLog.bz2 NEWS README THANKS doc/TODO \
    $RPM_BUILD_ROOT%pkgdocdir
ln -s %_licensedir/GPL-2 $RPM_BUILD_ROOT%pkgdocdir/COPYING
ln -s %_licensedir/LGPL-2.1 $RPM_BUILD_ROOT%pkgdocdir/COPYING.LIB
cp -a doc/examples $RPM_BUILD_ROOT%pkgdocdir
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir/tex
install -p -m644 doc/tex/*.{tex,ps,eps,bib} $RPM_BUILD_ROOT%pkgdocdir/tex/
bzip2 -9 $RPM_BUILD_ROOT%pkgdocdir/tex/gnutls.ps

%post   -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post   -n lib%name-extra -p %post_ldconfig
%postun -n lib%name-extra -p %postun_ldconfig

%files -n lib%name
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog.bz2
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS
%pkgdocdir/TODO
%pkgdocdir/COPYING.LIB
%_libdir/lib%name.so.*

%files -n lib%name-extra
%pkgdocdir/COPYING
%_libdir/lib%name-extra.so.*

%files -n lib%name-openssl
%_libdir/lib%name-openssl.so.*

%files -n lib%name-devel -f headers.list
%pkgdocdir/tex
%pkgdocdir/examples
%dir %_includedir/gnutls
%_bindir/lib%name-config
%_libdir/lib%name.so
%_datadir/aclocal/lib%name.m4

%files -n lib%name-extra-devel
%_includedir/gnutls/extra.h
%_bindir/lib%name-extra-config
%_libdir/lib%name-extra.so
%_datadir/aclocal/lib%name-extra.m4

%files -n lib%name-openssl-devel
%_includedir/gnutls/openssl.h
%_libdir/lib%name-openssl.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a

%files -n lib%name-extra-devel-static
%_libdir/lib%name-extra.a

%files -n lib%name-openssl-devel-static
%_libdir/lib%name-openssl.a
%endif	# enabled static

%files utils
%_bindir/%{name}*
%_bindir/certtool
%_man1dir/*

%changelog
* Thu Apr 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.10-alt1
- Updated to upstream release 1.0.10

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt2
- Rebuilt against libgcrypt 1.1.93

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt1
- Updated to 1.0.8 upstream release
- Build fixes for new autotools

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt1
- Updated to 1.0.4 upstream release
- Renamed the source package to gnutls
- Added openssl subpackage family to pack libgnutls-openssl

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt3
- Made external libtasn1 linkage optional, disabled per default

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt2
- Spec cleanup
- Build against libtasn1
- Removed libtool files from the filelist

* Sun Jul 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt1
- Ported the package to ALT Linux
